Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class Method

    java.lang.Object
      org.apache.xml.serializer.Method

public final class Method
extends java.lang.Object

This class defines the constants which are the names of the four default output methods.

Four default output methods are defined: XML, HTML, XHTML and TEXT. Serializers may support additional output methods. The names of these output methods should be encoded as `namespace:local`.

Version:
  Alpha
Author:
  Assaf Arkin

Field Summary
`static java.lang.String` | `HTML` The output method for HTML documents: `html`.
`static java.lang.String` | `TEXT` The output method for text documents: `text`.
`static java.lang.String` | `UNKNOWN` The "internal" method, just used when no method is specified in the style sheet, and a serializer of this type wraps either an XML or HTML type (depending on the first tag in the output being html or not)
`static java.lang.String` | `XHTML` The output method for XHTML documents: `xhtml`.
`static java.lang.String` | `XML` The output method for XML documents: `xml`.

Constructor Summary
`Method()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML

    public static final java.lang.String XML

  The output method for XML documents: `xml`.

  See Also:
    Constant Field Values

### HTML

    public static final java.lang.String HTML

  The output method for HTML documents: `html`.

  See Also:
    Constant Field Values

### XHTML

    public static final java.lang.String XHTML

  The output method for XHTML documents: `xhtml`.

  See Also:
    Constant Field Values

### TEXT

    public static final java.lang.String TEXT

  The output method for text documents: `text`.

  See Also:
    Constant Field Values

### UNKNOWN

    public static final java.lang.String UNKNOWN

  The "internal" method, just used when no method is specified in the style sheet, and a serializer of this type wraps either an XML or HTML type (depending on the first tag in the output being html or not)

  See Also:
    Constant Field Values

Constructor Detail

### Method

    public Method()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.